Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.parsers
Class SimpleUserTagHandler

    java.lang.Object
      oracle.ifs.beans.parsers.SimpleUserTagHandler

All Implemented Interfaces:
  TopLevelTagHandler

Deprecated. iFS 9.0.3 - cannot delete cause CUP still uses

    public class SimpleUserTagHandler

extends java.lang.Object
implements TopLevelTagHandler

This class handles the "SimpleUser" tag in XML

(Unpublished)

Constructor Summary
`SimpleUserTagHandler()` Deprecated.

Method Summary
`LibraryObject` | `handleTag(org.w3c.dom.Element root, SimpleXmlParserImpl sxpi)` Deprecated. The SimpleXmlParserImpl will call this function when a top-level tag which matches tagName() is encountered.
`protected void` | `readOption(org.w3c.dom.Element optionElement, java.util.Hashtable options, UserManager userManager, SimpleXmlParserImpl sxpi)` Deprecated.
`protected java.util.Hashtable` | `readOptions(org.w3c.dom.Element optionsRoot, UserManager userManager, SimpleXmlParserImpl sxpi)` Deprecated.
`java.lang.String` | `tagName()` Deprecated. Returns the upper-cased String which is the tag label which this handler deals with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleUserTagHandler

    public SimpleUserTagHandler()

  Deprecated.

Method Detail

### tagName

    public java.lang.String tagName()

  Deprecated.
  Description copied from interface: `TopLevelTagHandler`
  Returns the upper-cased String which is the tag label which this handler deals with.

  Specified by:
    `tagName` in interface `TopLevelTagHandler`

### handleTag

    public LibraryObject handleTag(org.w3c.dom.Element root,
                                   SimpleXmlParserImpl sxpi)
                            throws IfsException

  Deprecated.
  Description copied from interface: `TopLevelTagHandler`
  The SimpleXmlParserImpl will call this function when a top-level tag which matches tagName() is encountered.

  Specified by:
    `handleTag` in interface `TopLevelTagHandler`
  Parameters:
    `root` - The XML element which is the root tag. This tag is guaranteed to have a tag name equivalent to the value of the tagName() function.
    `sxpi` - The parser implementation being used to process the XML document
  Returns:
    The LibraryObject that was created by handling this tag
  Throws:
    `IfsException`

### readOptions

    protected java.util.Hashtable readOptions(org.w3c.dom.Element optionsRoot,
                                              UserManager userManager,
                                              SimpleXmlParserImpl sxpi)
                                       throws IfsException

  Deprecated.
  Throws:
    `IfsException`

### readOption

    protected void readOption(org.w3c.dom.Element optionElement,
                              java.util.Hashtable options,
                              UserManager userManager,
                              SimpleXmlParserImpl sxpi)
                       throws IfsException

  Deprecated.
  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD